#-h- getdir.q         541  asc  10-nov-80 08:48:55  [307,031]
 subroutine getdir(key, type, buf)

 integer key, type
 character buf(ARB)

 if (key == BINDIRECTORY)
    call scopy("ST0:[105,1]", 1, buf, 1)
 else if (key == USRDIRECTORY)
    call scopy("ST0:[105,2]", 1, buf, 1)
 else if (key == TMPDIRECTORY)
    call scopy("ST0:[105,3]", 1, buf, 1)
 else if (key == LPRDIRECTORY)
    call scopy("ST0:[105,4]", 1, buf, 1)
 else if (key == MAILDIRECTORY)
    call scopy("ST0:[105,5]", 1, buf, 1)
 else if (key == MANDIRECTORY)
    call scopy("ST0:[105,6]", 1, buf, 1)
 else
    buf(1) = EOS

 return
 end
